Module modSummen
    '------------------------------------------ erweiterung
    Public Ausgewaehlt As New ArrayList         ' schaltfächen zur auswahl
    Public ZurueckSetzen As New ArrayList       ' pictureboxen zuruecknehmen
    Public SummenAnzeigen As New ArrayList      ' label zum anzeigen der ergebnisse
    Public booAusgewaehlteSumme(6) As Boolean   ' bereits gewaehlte summen
    Public intAnzahlGewuerfelt As Integer = 0   ' wie oft gewürfelt pro spielrunde
    Public Const intMAXIMAL As Integer = 3      ' nur 3 mal würfeln
    Public booZurueckNehmen As Boolean = False  ' letzte auswahl zurücknehmen
    Public Sub AuswahlDerSummenAuswerten(intAktuelleAuswahl As Integer)
        Dim i As Integer
        Dim intZwischenSumme As Integer = 0
        booAusgewaehlteSumme(intAktuelleAuswahl) = True
        booWurfelGesperrt = True
        For i = 1 To 5      '-- würfel in becher zurücklegen
                If Not booWuerfelAktiv(i) Then
                    ZeichneWuerfel(i).Image = ZeichneWuerfel(i + 5).Image
                    ZeichneWuerfel(i + 5).Image = Nothing
                    booWuerfelAktiv(i) = True
                End If
            Next
            For i = 1 To 6    '-- alle gewählten summen addieren
                If booAusgewaehlteSumme(i) Then  '-- summe(n) bereits gewählt
                    intZwischenSumme += Convert.ToInt32(SummenAnzeigen(i).Text)
                End If
            Next
        intZwischenSumme += Convert.ToInt32(SummenAnzeigen(7).Text)
        With Form1
            .LblSumme.Text = intZwischenSumme.ToString
        End With
        ProbeWeiterWuerfeln(intAktuelleAuswahl)
    End Sub
    Public Sub ProbeWeiterWuerfeln(intAktuelleAuswahl As Integer)
        Dim intEnde As Integer = 0
        With Form1
            For i = 1 To 6
                Ausgewaehlt(i).Enabled = False
                If booAusgewaehlteSumme(i) Then intEnde += 1
            Next
            If intEnde >= 6 Then
                SpielIstBeendet()  '-- alle summen gewählt
                Exit Sub           '-------- >
            Else
                ZurueckSetzen(intAktuelleAuswahl).Visible = True
                .CmdWuerfeln.Enabled = True : .CmdWuerfeln.Focus()
                intAnzahlGewuerfelt = 0
            End If
            .LblInfo.Text = "Du hast die " &
                intAktuelleAuswahl.ToString & "'er gewählt." &
                vbCrLf & "Du kannst würfeln, oder die Auswahl zurücknehmen."
        End With
    End Sub
End Module
